# Uses of Interface
java.awt.dnd.DragSourceMotionListener

Packages that use DragSourceMotionListener
Package
Description
java.awt.dnd
Drag and Drop is a direct manipulation gesture found in many Graphical User Interface systems that provides a mechanism to transfer information between two entities logically associated with presentation elements in the GUI.

## Uses of DragSourceMotionListener in java.awt.dnd

Classes in java.awt.dnd that implement DragSourceMotionListener
Modifier and Type
Class
Description
`class`
`DragSourceAdapter`
An abstract adapter class for receiving drag source events.
`class`
`DragSourceContext`
The `DragSourceContext` class is responsible for managing the initiator side of the Drag and Drop protocol.
Methods in java.awt.dnd that return DragSourceMotionListener
Modifier and Type
Method
Description
`DragSourceMotionListener[]`
DragSource.`getDragSourceMotionListeners()`
Gets all of the `DragSourceMotionListener`s registered with this `DragSource`.
Methods in java.awt.dnd with parameters of type DragSourceMotionListener
Modifier and Type
Method
Description
`void`
DragSource.`addDragSourceMotionListener(DragSourceMotionListener dsml)`
Adds the specified `DragSourceMotionListener` to this `DragSource` to receive drag motion events during drag operations initiated with this `DragSource`.
`void`
DragSource.`removeDragSourceMotionListener(DragSourceMotionListener dsml)`
Removes the specified `DragSourceMotionListener` from this `DragSource`.